Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations
GETVPC Firewall OperationsSince 3.6.0SynchronousAuth Required

QueryVpcFirewallVRouterRef

QueryVpcFirewallVRouterRef

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • idlongRequired

      资源ID。

    • vpcFirewallUuidStringRequired

      No description provided.

    • vRouterUuidStringRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/vpcfirewalls/vrouters/refs

/zstack/v1/vpcfirewalls/vrouters/refs

Operation ID

QueryVpcFirewallVRouterRef

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vpcfirewalls/vrouters/refs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "id": 1.0, "vpcFirewallUuid": "cd7ab20e4768316c86230f2d982ae5a5", "vRouterUuid": "7013faeb3b4736d1800749b1e910a845", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history